package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.PosMarginMapper;
import com.ruoyi.system.domain.PosMargin;
import com.ruoyi.system.service.IPosMarginService;

/**
 * marginService业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-02
 */
@Service
public class PosMarginServiceImpl extends ServiceImpl<BaseMapper<PosMargin>,PosMargin> implements IPosMarginService
{
    @Autowired
    private PosMarginMapper posMarginMapper;

    /**
     * 查询margin
     * 
     * @param id margin主键
     * @return margin
     */
    @Override
    public PosMargin selectPosMarginById(Long id)
    {
        return posMarginMapper.selectPosMarginById(id);
    }

    /**
     * 查询margin列表
     * 
     * @param posMargin margin
     * @return margin
     */
    @Override
    public List<PosMargin> selectPosMarginList(PosMargin posMargin)
    {
        return posMarginMapper.selectPosMarginList(posMargin);
    }

    /**
     * 新增margin
     * 
     * @param posMargin margin
     * @return 结果
     */
    @Override
    public int insertPosMargin(PosMargin posMargin)
    {
        return posMarginMapper.insertPosMargin(posMargin);
    }

    /**
     * 修改margin
     * 
     * @param posMargin margin
     * @return 结果
     */
    @Override
    public int updatePosMargin(PosMargin posMargin)
    {
        return posMarginMapper.updatePosMargin(posMargin);
    }

    /**
     * 批量删除margin
     * 
     * @param ids 需要删除的margin主键
     * @return 结果
     */
    @Override
    public int deletePosMarginByIds(Long[] ids)
    {
        return posMarginMapper.deletePosMarginByIds(ids);
    }

    /**
     * 删除margin信息
     * 
     * @param id margin主键
     * @return 结果
     */
    @Override
    public int deletePosMarginById(Long id)
    {
        return posMarginMapper.deletePosMarginById(id);
    }
}
